### Method

# GUPnP ServiceProxy call_action_finish

#### Declaration [src]

    GUPnPServiceProxyAction*
    gupnp_service_proxy_call_action_finish (
      GUPnPServiceProxy* proxy,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous call initiated with gupnp_service_proxy_call_action_async().

Available since: | 1.2.0

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GUPnPServiceProxyAction`
| `NULL`, if the call had an error, the action otherwise.
| The data is owned by the instance.
| The return value can be `NULL`.